Package org.apache.sysds.lops.compile.linearization

## Class LinearizerCostBased

- java.lang.Object
- - org.apache.sysds.lops.compile.linearization.IDagLinearizer
  - - org.apache.sysds.lops.compile.linearization.LinearizerCostBased

    public class LinearizerCostBased
    extends IDagLinearizer

### Constructor Summary

Constructors
`LinearizerCostBased()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Lop>` `linearize​(List<Lop> v)` Linearized a DAG of lops into a sequence of lops that preserves all data dependencies.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LinearizerCostBased

    public LinearizerCostBased()

### Method Detail

#### linearize

    public List<Lop> linearize​(List<Lop> v)

Description copied from class: `IDagLinearizer`
Linearized a DAG of lops into a sequence of lops that preserves all data dependencies.

Specified by:
  `linearize` in class `IDagLinearizer`
Parameters:
  `v` - roots (outputs) of a DAG of lops
Returns:
  list of lops (input, inner, and outputs)